summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthias Maier <tamiko@gentoo.org>2015-09-21 20:57:03 -0500
committerMatthias Maier <tamiko@gentoo.org>2015-10-03 13:50:22 -0500
commitfa9a50929dd09f28cfe8b6530ccc99689da3a411 (patch)
tree8fe25e7d8aeb7e15fc343d251c21cfe67b0b91ec /sys-apps/the_silver_searcher
parentdev-python/libvirt-python: version bump to 1.2.20 (diff)
downloadgentoo-fa9a50929dd09f28cfe8b6530ccc99689da3a411.tar.gz
gentoo-fa9a50929dd09f28cfe8b6530ccc99689da3a411.tar.bz2
gentoo-fa9a50929dd09f28cfe8b6530ccc99689da3a411.zip
sys-apps/the_silver_searcher: version bump to 0.31.0
Package-Manager: portage-2.2.21
Diffstat (limited to 'sys-apps/the_silver_searcher')
-rw-r--r--sys-apps/the_silver_searcher/Manifest1
-rw-r--r--sys-apps/the_silver_searcher/the_silver_searcher-0.31.0.ebuild40
2 files changed, 41 insertions, 0 deletions
diff --git a/sys-apps/the_silver_searcher/Manifest b/sys-apps/the_silver_searcher/Manifest
index fa7b65f182e..91ee485957a 100644
--- a/sys-apps/the_silver_searcher/Manifest
+++ b/sys-apps/the_silver_searcher/Manifest
@@ -1 +1,2 @@
DIST the_silver_searcher-0.29.1.tar.gz 65821 SHA256 779eb781751fd3dc07bff3b88f4475ed78eea3fa7b21139d8230d17c31db072a SHA512 648efe0cd52092ee5d036c7d024c7e2d1ce728c5f80ea9447356f2e31cdbbe96fee67b968a9d66c2b3739f1fc8f6d639452019c6fdeb5996e0d74e9549729fe5 WHIRLPOOL 0dd3934daaf42e1414363ae2b4409bb2187a9c6bbfb76c6cc9337c07129c9d744fe71a3c1d9670531ac92fe9ae4793a5bfad35185b6e697ccfc1d571f1055985
+DIST the_silver_searcher-0.31.0.tar.gz 150102 SHA256 61bc827f4557d8108e91cdfc9ba31632e2568b26884c92426417f58135b37da8 SHA512 61629ee3b11462a978a03879c19cf327cd08d5e669136c85c8f217b5e5ad27f78058c62555f47ae58882451361e09cf8093c7d4f4c4eda160a78f755af50b092 WHIRLPOOL 843e9502a4dbbfb5a049b524b2a85156bc57b624e10c875d5438bb6641ea48edee818af3f473d254cb16f188c321c17bc3b6da69aaf0ff081f055c61209302e1
diff --git a/sys-apps/the_silver_searcher/the_silver_searcher-0.31.0.ebuild b/sys-apps/the_silver_searcher/the_silver_searcher-0.31.0.ebuild
new file mode 100644
index 00000000000..8d5e95ca8c6
--- /dev/null
+++ b/sys-apps/the_silver_searcher/the_silver_searcher-0.31.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools bash-completion-r1
+
+DESCRIPTION="A code-searching tool similar to ack, but faster"
+HOMEPAGE="https://github.com/ggreer/the_silver_searcher"
+SRC_URI="https://github.com/ggreer/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="lzma zlib"
+
+RDEPEND="dev-libs/libpcre
+ lzma? ( app-arch/xz-utils )
+ zlib? ( sys-libs/zlib )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+DOCS="README.md"
+
+src_prepare() {
+ sed -i '/^dist_bashcomp/d' Makefile.am || die
+
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_enable lzma) \
+ $(use_enable zlib)
+}
+
+src_install() {
+ default
+ newbashcomp ag.bashcomp.sh ag
+}